# Interface MessageTransmitter

#### Hierarchy

- BaseContract
  - MessageTransmitter

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:469

#####
Index

### Properties

acceptOwnership
attesterManager
disableAttester
enableAttester
filters
getEnabledAttester
getNumEnabledAttesters
interface
isEnabledAttester
localDomain
maxMessageBodySize
nextAvailableNonce
owner
pause
paused
pauser
pendingOwner
receiveMessage
replaceMessage
rescueERC20
rescuer
sendMessage
sendMessageWithCaller
setMaxMessageBodySize
setSignatureThreshold
signatureThreshold
transferOwnership
unpause
updateAttesterManager
updatePauser
updateRescuer
usedNonces
version

### Methods

connect
getEvent
getFunction
listeners
on
once
queryFilter
removeAllListeners
waitForDeployment

## Properties

### acceptOwnership

acceptOwnership: TypedContractMethod<[], [void], "nonpayable">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:512

### attesterManager

attesterManager: TypedContractMethod<[], [string], "view">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:514

### disableAttester

disableAttester: TypedContractMethod<[attester: AddressLike], [void], "nonpayable">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:516

### enableAttester

enableAttester: TypedContractMethod<[newAttester: AddressLike], [void], "nonpayable">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:522

### filters

filters: {
AttesterDisabled: TypedContractEvent<ethers_contracts.MessageTransmitter.AttesterDisabledEvent.InputTuple, ethers_contracts.MessageTransmitter.AttesterDisabledEvent.OutputTuple, ethers_contracts.MessageTransmitter.AttesterDisabledEvent.OutputObject>;
AttesterDisabled(address): TypedContractEvent<ethers_contracts.MessageTransmitter.AttesterDisabledEvent.InputTuple, ethers_contracts.MessageTransmitter.AttesterDisabledEvent.OutputTuple, ethers_contracts.MessageTransmitter.AttesterDisabledEvent.OutputObject>;
AttesterEnabled: TypedContractEvent<ethers_contracts.MessageTransmitter.AttesterEnabledEvent.InputTuple, ethers_contracts.MessageTransmitter.AttesterEnabledEvent.OutputTuple, ethers_contracts.MessageTransmitter.AttesterEnabledEvent.OutputObject>;
AttesterEnabled(address): TypedContractEvent<ethers_contracts.MessageTransmitter.AttesterEnabledEvent.InputTuple, ethers_contracts.MessageTransmitter.AttesterEnabledEvent.OutputTuple, ethers_contracts.MessageTransmitter.AttesterEnabledEvent.OutputObject>;
AttesterManagerUpdated: TypedContractEvent<ethers_contracts.MessageTransmitter.AttesterManagerUpdatedEvent.InputTuple, ethers_contracts.MessageTransmitter.AttesterManagerUpdatedEvent.OutputTuple, ethers_contracts.MessageTransmitter.AttesterManagerUpdatedEvent.OutputObject>;
AttesterManagerUpdated(address,address): TypedContractEvent<ethers_contracts.MessageTransmitter.AttesterManagerUpdatedEvent.InputTuple, ethers_contracts.MessageTransmitter.AttesterManagerUpdatedEvent.OutputTuple, ethers_contracts.MessageTransmitter.AttesterManagerUpdatedEvent.OutputObject>;
MaxMessageBodySizeUpdated: TypedContractEvent<ethers_contracts.MessageTransmitter.MaxMessageBodySizeUpdatedEvent.InputTuple, ethers_contracts.MessageTransmitter.MaxMessageBodySizeUpdatedEvent.OutputTuple, ethers_contracts.MessageTransmitter.MaxMessageBodySizeUpdatedEvent.OutputObject>;
MaxMessageBodySizeUpdated(uint256): TypedContractEvent<ethers_contracts.MessageTransmitter.MaxMessageBodySizeUpdatedEvent.InputTuple, ethers_contracts.MessageTransmitter.MaxMessageBodySizeUpdatedEvent.OutputTuple, ethers_contracts.MessageTransmitter.MaxMessageBodySizeUpdatedEvent.OutputObject>;
MessageReceived: TypedContractEvent<ethers_contracts.MessageTransmitter.MessageReceivedEvent.InputTuple, ethers_contracts.MessageTransmitter.MessageReceivedEvent.OutputTuple, ethers_contracts.MessageTransmitter.MessageReceivedEvent.OutputObject>;
MessageReceived(address,uint32,uint64,bytes32,bytes): TypedContractEvent<ethers_contracts.MessageTransmitter.MessageReceivedEvent.InputTuple, ethers_contracts.MessageTransmitter.MessageReceivedEvent.OutputTuple, ethers_contracts.MessageTransmitter.MessageReceivedEvent.OutputObject>;
MessageSent: TypedContractEvent<ethers_contracts.MessageTransmitter.MessageSentEvent.InputTuple, ethers_contracts.MessageTransmitter.MessageSentEvent.OutputTuple, ethers_contracts.MessageTransmitter.MessageSentEvent.OutputObject>;
MessageSent(bytes): TypedContractEvent<ethers_contracts.MessageTransmitter.MessageSentEvent.InputTuple, ethers_contracts.MessageTransmitter.MessageSentEvent.OutputTuple, ethers_contracts.MessageTransmitter.MessageSentEvent.OutputObject>;
OwnershipTransferStarted: TypedContractEvent<ethers_contracts.MessageTransmitter.OwnershipTransferStartedEvent.InputTuple, ethers_contracts.MessageTransmitter.OwnershipTransferStartedEvent.OutputTuple, ethers_contracts.MessageTransmitter.OwnershipTransferStartedEvent.OutputObject>;
OwnershipTransferStarted(address,address): TypedContractEvent<ethers_contracts.MessageTransmitter.OwnershipTransferStartedEvent.InputTuple, ethers_contracts.MessageTransmitter.OwnershipTransferStartedEvent.OutputTuple, ethers_contracts.MessageTransmitter.OwnershipTransferStartedEvent.OutputObject>;
OwnershipTransferred: TypedContractEvent<ethers_contracts.MessageTransmitter.OwnershipTransferredEvent.InputTuple, ethers_contracts.MessageTransmitter.OwnershipTransferredEvent.OutputTuple, ethers_contracts.MessageTransmitter.OwnershipTransferredEvent.OutputObject>;
OwnershipTransferred(address,address): TypedContractEvent<ethers_contracts.MessageTransmitter.OwnershipTransferredEvent.InputTuple, ethers_contracts.MessageTransmitter.OwnershipTransferredEvent.OutputTuple, ethers_contracts.MessageTransmitter.OwnershipTransferredEvent.OutputObject>;
Pause: TypedContractEvent<[], [], ethers_contracts.MessageTransmitter.PauseEvent.OutputObject>;
Pause(): TypedContractEvent<[], [], ethers_contracts.MessageTransmitter.PauseEvent.OutputObject>;
PauserChanged: TypedContractEvent<ethers_contracts.MessageTransmitter.PauserChangedEvent.InputTuple, ethers_contracts.MessageTransmitter.PauserChangedEvent.OutputTuple, ethers_contracts.MessageTransmitter.PauserChangedEvent.OutputObject>;
PauserChanged(address): TypedContractEvent<ethers_contracts.MessageTransmitter.PauserChangedEvent.InputTuple, ethers_contracts.MessageTransmitter.PauserChangedEvent.OutputTuple, ethers_contracts.MessageTransmitter.PauserChangedEvent.OutputObject>;
RescuerChanged: TypedContractEvent<ethers_contracts.MessageTransmitter.RescuerChangedEvent.InputTuple, ethers_contracts.MessageTransmitter.RescuerChangedEvent.OutputTuple, ethers_contracts.MessageTransmitter.RescuerChangedEvent.OutputObject>;
RescuerChanged(address): TypedContractEvent<ethers_contracts.MessageTransmitter.RescuerChangedEvent.InputTuple, ethers_contracts.MessageTransmitter.RescuerChangedEvent.OutputTuple, ethers_contracts.MessageTransmitter.RescuerChangedEvent.OutputObject>;
SignatureThresholdUpdated: TypedContractEvent<ethers_contracts.MessageTransmitter.SignatureThresholdUpdatedEvent.InputTuple, ethers_contracts.MessageTransmitter.SignatureThresholdUpdatedEvent.OutputTuple, ethers_contracts.MessageTransmitter.SignatureThresholdUpdatedEvent.OutputObject>;
SignatureThresholdUpdated(uint256,uint256): TypedContractEvent<ethers_contracts.MessageTransmitter.SignatureThresholdUpdatedEvent.InputTuple, ethers_contracts.MessageTransmitter.SignatureThresholdUpdatedEvent.OutputTuple, ethers_contracts.MessageTransmitter.SignatureThresholdUpdatedEvent.OutputObject>;
Unpause: TypedContractEvent<[], [], ethers_contracts.MessageTransmitter.UnpauseEvent.OutputObject>;
Unpause(): TypedContractEvent<[], [], ethers_contracts.MessageTransmitter.UnpauseEvent.OutputObject>;
}

#### Type declaration

- ##### AttesterDisabled: TypedContractEvent<ethers_contracts.MessageTransmitter.AttesterDisabledEvent.InputTuple, ethers_contracts.MessageTransmitter.AttesterDisabledEvent.OutputTuple, ethers_contracts.MessageTransmitter.AttesterDisabledEvent.OutputObject>

- ##### AttesterDisabled(address): TypedContractEvent<ethers_contracts.MessageTransmitter.AttesterDisabledEvent.InputTuple, ethers_contracts.MessageTransmitter.AttesterDisabledEvent.OutputTuple, ethers_contracts.MessageTransmitter.AttesterDisabledEvent.OutputObject>

- ##### AttesterEnabled: TypedContractEvent<ethers_contracts.MessageTransmitter.AttesterEnabledEvent.InputTuple, ethers_contracts.MessageTransmitter.AttesterEnabledEvent.OutputTuple, ethers_contracts.MessageTransmitter.AttesterEnabledEvent.OutputObject>

- ##### AttesterEnabled(address): TypedContractEvent<ethers_contracts.MessageTransmitter.AttesterEnabledEvent.InputTuple, ethers_contracts.MessageTransmitter.AttesterEnabledEvent.OutputTuple, ethers_contracts.MessageTransmitter.AttesterEnabledEvent.OutputObject>

- ##### AttesterManagerUpdated: TypedContractEvent<ethers_contracts.MessageTransmitter.AttesterManagerUpdatedEvent.InputTuple, ethers_contracts.MessageTransmitter.AttesterManagerUpdatedEvent.OutputTuple, ethers_contracts.MessageTransmitter.AttesterManagerUpdatedEvent.OutputObject>

- ##### AttesterManagerUpdated(address,address): TypedContractEvent<ethers_contracts.MessageTransmitter.AttesterManagerUpdatedEvent.InputTuple, ethers_contracts.MessageTransmitter.AttesterManagerUpdatedEvent.OutputTuple, ethers_contracts.MessageTransmitter.AttesterManagerUpdatedEvent.OutputObject>

- ##### MaxMessageBodySizeUpdated: TypedContractEvent<ethers_contracts.MessageTransmitter.MaxMessageBodySizeUpdatedEvent.InputTuple, ethers_contracts.MessageTransmitter.MaxMessageBodySizeUpdatedEvent.OutputTuple, ethers_contracts.MessageTransmitter.MaxMessageBodySizeUpdatedEvent.OutputObject>

- ##### MaxMessageBodySizeUpdated(uint256): TypedContractEvent<ethers_contracts.MessageTransmitter.MaxMessageBodySizeUpdatedEvent.InputTuple, ethers_contracts.MessageTransmitter.MaxMessageBodySizeUpdatedEvent.OutputTuple, ethers_contracts.MessageTransmitter.MaxMessageBodySizeUpdatedEvent.OutputObject>

- ##### MessageReceived: TypedContractEvent<ethers_contracts.MessageTransmitter.MessageReceivedEvent.InputTuple, ethers_contracts.MessageTransmitter.MessageReceivedEvent.OutputTuple, ethers_contracts.MessageTransmitter.MessageReceivedEvent.OutputObject>

- ##### MessageReceived(address,uint32,uint64,bytes32,bytes): TypedContractEvent<ethers_contracts.MessageTransmitter.MessageReceivedEvent.InputTuple, ethers_contracts.MessageTransmitter.MessageReceivedEvent.OutputTuple, ethers_contracts.MessageTransmitter.MessageReceivedEvent.OutputObject>

- ##### MessageSent: TypedContractEvent<ethers_contracts.MessageTransmitter.MessageSentEvent.InputTuple, ethers_contracts.MessageTransmitter.MessageSentEvent.OutputTuple, ethers_contracts.MessageTransmitter.MessageSentEvent.OutputObject>

- ##### MessageSent(bytes): TypedContractEvent<ethers_contracts.MessageTransmitter.MessageSentEvent.InputTuple, ethers_contracts.MessageTransmitter.MessageSentEvent.OutputTuple, ethers_contracts.MessageTransmitter.MessageSentEvent.OutputObject>

- ##### OwnershipTransferStarted: TypedContractEvent<ethers_contracts.MessageTransmitter.OwnershipTransferStartedEvent.InputTuple, ethers_contracts.MessageTransmitter.OwnershipTransferStartedEvent.OutputTuple, ethers_contracts.MessageTransmitter.OwnershipTransferStartedEvent.OutputObject>

- ##### OwnershipTransferStarted(address,address): TypedContractEvent<ethers_contracts.MessageTransmitter.OwnershipTransferStartedEvent.InputTuple, ethers_contracts.MessageTransmitter.OwnershipTransferStartedEvent.OutputTuple, ethers_contracts.MessageTransmitter.OwnershipTransferStartedEvent.OutputObject>

- ##### OwnershipTransferred: TypedContractEvent<ethers_contracts.MessageTransmitter.OwnershipTransferredEvent.InputTuple, ethers_contracts.MessageTransmitter.OwnershipTransferredEvent.OutputTuple, ethers_contracts.MessageTransmitter.OwnershipTransferredEvent.OutputObject>

- ##### OwnershipTransferred(address,address): TypedContractEvent<ethers_contracts.MessageTransmitter.OwnershipTransferredEvent.InputTuple, ethers_contracts.MessageTransmitter.OwnershipTransferredEvent.OutputTuple, ethers_contracts.MessageTransmitter.OwnershipTransferredEvent.OutputObject>

- ##### Pause: TypedContractEvent<[], [], ethers_contracts.MessageTransmitter.PauseEvent.OutputObject>

- ##### Pause(): TypedContractEvent<[], [], ethers_contracts.MessageTransmitter.PauseEvent.OutputObject>

- ##### PauserChanged: TypedContractEvent<ethers_contracts.MessageTransmitter.PauserChangedEvent.InputTuple, ethers_contracts.MessageTransmitter.PauserChangedEvent.OutputTuple, ethers_contracts.MessageTransmitter.PauserChangedEvent.OutputObject>

- ##### PauserChanged(address): TypedContractEvent<ethers_contracts.MessageTransmitter.PauserChangedEvent.InputTuple, ethers_contracts.MessageTransmitter.PauserChangedEvent.OutputTuple, ethers_contracts.MessageTransmitter.PauserChangedEvent.OutputObject>

- ##### RescuerChanged: TypedContractEvent<ethers_contracts.MessageTransmitter.RescuerChangedEvent.InputTuple, ethers_contracts.MessageTransmitter.RescuerChangedEvent.OutputTuple, ethers_contracts.MessageTransmitter.RescuerChangedEvent.OutputObject>

- ##### RescuerChanged(address): TypedContractEvent<ethers_contracts.MessageTransmitter.RescuerChangedEvent.InputTuple, ethers_contracts.MessageTransmitter.RescuerChangedEvent.OutputTuple, ethers_contracts.MessageTransmitter.RescuerChangedEvent.OutputObject>

- ##### SignatureThresholdUpdated: TypedContractEvent<ethers_contracts.MessageTransmitter.SignatureThresholdUpdatedEvent.InputTuple, ethers_contracts.MessageTransmitter.SignatureThresholdUpdatedEvent.OutputTuple, ethers_contracts.MessageTransmitter.SignatureThresholdUpdatedEvent.OutputObject>

- ##### SignatureThresholdUpdated(uint256,uint256): TypedContractEvent<ethers_contracts.MessageTransmitter.SignatureThresholdUpdatedEvent.InputTuple, ethers_contracts.MessageTransmitter.SignatureThresholdUpdatedEvent.OutputTuple, ethers_contracts.MessageTransmitter.SignatureThresholdUpdatedEvent.OutputObject>

- ##### Unpause: TypedContractEvent<[], [], ethers_contracts.MessageTransmitter.UnpauseEvent.OutputObject>

- ##### Unpause(): TypedContractEvent<[], [], ethers_contracts.MessageTransmitter.UnpauseEvent.OutputObject>

Overrides BaseContract.filters

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:884

### getEnabledAttester

getEnabledAttester: TypedContractMethod<[index: BigNumberish], [string], "view">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:528

### getNumEnabledAttesters

getNumEnabledAttesters: TypedContractMethod<[], [bigint], "view">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:534

### interface

interface: MessageTransmitterInterface

Overrides BaseContract.interface

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:473

### isEnabledAttester

isEnabledAttester: TypedContractMethod<[attester: AddressLike], [boolean], "view">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:536

### localDomain

localDomain: TypedContractMethod<[], [bigint], "view">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:542

### maxMessageBodySize

maxMessageBodySize: TypedContractMethod<[], [bigint], "view">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:544

### nextAvailableNonce

nextAvailableNonce: TypedContractMethod<[], [bigint], "view">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:546

### owner

owner: TypedContractMethod<[], [string], "view">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:548

### pause

pause: TypedContractMethod<[], [void], "nonpayable">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:550

### paused

paused: TypedContractMethod<[], [boolean], "view">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:552

### pauser

pauser: TypedContractMethod<[], [string], "view">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:554

### pendingOwner

pendingOwner: TypedContractMethod<[], [string], "view">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:556

### receiveMessage

receiveMessage: TypedContractMethod<[message: BytesLike, attestation: BytesLike], [boolean], "nonpayable">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:558

### replaceMessage

replaceMessage: TypedContractMethod<[originalMessage: BytesLike, originalAttestation: BytesLike, newMessageBody: BytesLike, newDestinationCaller: BytesLike], [void], "nonpayable">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:564

### rescueERC20

rescueERC20: TypedContractMethod<[tokenContract: AddressLike, to: AddressLike, amount: BigNumberish], [void], "nonpayable">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:575

### rescuer

rescuer: TypedContractMethod<[], [string], "view">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:581

### sendMessage

sendMessage: TypedContractMethod<[destinationDomain: BigNumberish, recipient: BytesLike, messageBody: BytesLike], [bigint], "nonpayable">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:583

### sendMessageWithCaller

sendMessageWithCaller: TypedContractMethod<[destinationDomain: BigNumberish, recipient: BytesLike, destinationCaller: BytesLike, messageBody: BytesLike], [bigint], "nonpayable">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:593

### setMaxMessageBodySize

setMaxMessageBodySize: TypedContractMethod<[newMaxMessageBodySize: BigNumberish], [void], "nonpayable">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:604

### setSignatureThreshold

setSignatureThreshold: TypedContractMethod<[newSignatureThreshold: BigNumberish], [void], "nonpayable">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:610

### signatureThreshold

signatureThreshold: TypedContractMethod<[], [bigint], "view">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:616

### transferOwnership

transferOwnership: TypedContractMethod<[newOwner: AddressLike], [void], "nonpayable">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:618

### unpause

unpause: TypedContractMethod<[], [void], "nonpayable">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:624

### updateAttesterManager

updateAttesterManager: TypedContractMethod<[newAttesterManager: AddressLike], [void], "nonpayable">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:626

### updatePauser

updatePauser: TypedContractMethod<[_newPauser: AddressLike], [void], "nonpayable">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:632

### updateRescuer

updateRescuer: TypedContractMethod<[newRescuer: AddressLike], [void], "nonpayable">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:638

### usedNonces

usedNonces: TypedContractMethod<[arg0: BytesLike], [bigint], "view">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:644

### version

version: TypedContractMethod<[], [bigint], "view">

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:646

## Methods

### connect

- connect(runner?): MessageTransmitter

- #### Parameters

  - ##### `Optional` runner: ContractRunner

  #### Returns MessageTransmitter

  Overrides BaseContract.connect

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:470

### getEvent

- getEvent(key): TypedContractEvent<ethers_contracts.MessageTransmitter.AttesterDisabledEvent.InputTuple, ethers_contracts.MessageTransmitter.AttesterDisabledEvent.OutputTuple, ethers_contracts.MessageTransmitter.AttesterDisabledEvent.OutputObject>

- #### Parameters

  - ##### key: "AttesterDisabled"

  #### Returns TypedContractEvent<ethers_contracts.MessageTransmitter.AttesterDisabledEvent.InputTuple, ethers_contracts.MessageTransmitter.AttesterDisabledEvent.OutputTuple, ethers_contracts.MessageTransmitter.AttesterDisabledEvent.OutputObject>

  Overrides BaseContract.getEvent

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:792
- getEvent(key): TypedContractEvent<ethers_contracts.MessageTransmitter.AttesterEnabledEvent.InputTuple, ethers_contracts.MessageTransmitter.AttesterEnabledEvent.OutputTuple, ethers_contracts.MessageTransmitter.AttesterEnabledEvent.OutputObject>

- #### Parameters

  - ##### key: "AttesterEnabled"

  #### Returns TypedContractEvent<ethers_contracts.MessageTransmitter.AttesterEnabledEvent.InputTuple, ethers_contracts.MessageTransmitter.AttesterEnabledEvent.OutputTuple, ethers_contracts.MessageTransmitter.AttesterEnabledEvent.OutputObject>

  Overrides BaseContract.getEvent

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:799
- getEvent(key): TypedContractEvent<ethers_contracts.MessageTransmitter.AttesterManagerUpdatedEvent.InputTuple, ethers_contracts.MessageTransmitter.AttesterManagerUpdatedEvent.OutputTuple, ethers_contracts.MessageTransmitter.AttesterManagerUpdatedEvent.OutputObject>

- #### Parameters

  - ##### key: "AttesterManagerUpdated"

  #### Returns TypedContractEvent<ethers_contracts.MessageTransmitter.AttesterManagerUpdatedEvent.InputTuple, ethers_contracts.MessageTransmitter.AttesterManagerUpdatedEvent.OutputTuple, ethers_contracts.MessageTransmitter.AttesterManagerUpdatedEvent.OutputObject>

  Overrides BaseContract.getEvent

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:806
- getEvent(key): TypedContractEvent<ethers_contracts.MessageTransmitter.MaxMessageBodySizeUpdatedEvent.InputTuple, ethers_contracts.MessageTransmitter.MaxMessageBodySizeUpdatedEvent.OutputTuple, ethers_contracts.MessageTransmitter.MaxMessageBodySizeUpdatedEvent.OutputObject>

- #### Parameters

  - ##### key: "MaxMessageBodySizeUpdated"

  #### Returns TypedContractEvent<ethers_contracts.MessageTransmitter.MaxMessageBodySizeUpdatedEvent.InputTuple, ethers_contracts.MessageTransmitter.MaxMessageBodySizeUpdatedEvent.OutputTuple, ethers_contracts.MessageTransmitter.MaxMessageBodySizeUpdatedEvent.OutputObject>

  Overrides BaseContract.getEvent

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:813
- getEvent(key): TypedContractEvent<ethers_contracts.MessageTransmitter.MessageReceivedEvent.InputTuple, ethers_contracts.MessageTransmitter.MessageReceivedEvent.OutputTuple, ethers_contracts.MessageTransmitter.MessageReceivedEvent.OutputObject>

- #### Parameters

  - ##### key: "MessageReceived"

  #### Returns TypedContractEvent<ethers_contracts.MessageTransmitter.MessageReceivedEvent.InputTuple, ethers_contracts.MessageTransmitter.MessageReceivedEvent.OutputTuple, ethers_contracts.MessageTransmitter.MessageReceivedEvent.OutputObject>

  Overrides BaseContract.getEvent

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:820
- getEvent(key): TypedContractEvent<ethers_contracts.MessageTransmitter.MessageSentEvent.InputTuple, ethers_contracts.MessageTransmitter.MessageSentEvent.OutputTuple, ethers_contracts.MessageTransmitter.MessageSentEvent.OutputObject>

- #### Parameters

  - ##### key: "MessageSent"

  #### Returns TypedContractEvent<ethers_contracts.MessageTransmitter.MessageSentEvent.InputTuple, ethers_contracts.MessageTransmitter.MessageSentEvent.OutputTuple, ethers_contracts.MessageTransmitter.MessageSentEvent.OutputObject>

  Overrides BaseContract.getEvent

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:827
- getEvent(key): TypedContractEvent<ethers_contracts.MessageTransmitter.OwnershipTransferStartedEvent.InputTuple, ethers_contracts.MessageTransmitter.OwnershipTransferStartedEvent.OutputTuple, ethers_contracts.MessageTransmitter.OwnershipTransferStartedEvent.OutputObject>

- #### Parameters

  - ##### key: "OwnershipTransferStarted"

  #### Returns TypedContractEvent<ethers_contracts.MessageTransmitter.OwnershipTransferStartedEvent.InputTuple, ethers_contracts.MessageTransmitter.OwnershipTransferStartedEvent.OutputTuple, ethers_contracts.MessageTransmitter.OwnershipTransferStartedEvent.OutputObject>

  Overrides BaseContract.getEvent

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:834
- getEvent(key): TypedContractEvent<ethers_contracts.MessageTransmitter.OwnershipTransferredEvent.InputTuple, ethers_contracts.MessageTransmitter.OwnershipTransferredEvent.OutputTuple, ethers_contracts.MessageTransmitter.OwnershipTransferredEvent.OutputObject>

- #### Parameters

  - ##### key: "OwnershipTransferred"

  #### Returns TypedContractEvent<ethers_contracts.MessageTransmitter.OwnershipTransferredEvent.InputTuple, ethers_contracts.MessageTransmitter.OwnershipTransferredEvent.OutputTuple, ethers_contracts.MessageTransmitter.OwnershipTransferredEvent.OutputObject>

  Overrides BaseContract.getEvent

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:841
- getEvent(key): TypedContractEvent<[], [], ethers_contracts.MessageTransmitter.PauseEvent.OutputObject>

- #### Parameters

  - ##### key: "Pause"

  #### Returns TypedContractEvent<[], [], ethers_contracts.MessageTransmitter.PauseEvent.OutputObject>

  Overrides BaseContract.getEvent

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:848
- getEvent(key): TypedContractEvent<ethers_contracts.MessageTransmitter.PauserChangedEvent.InputTuple, ethers_contracts.MessageTransmitter.PauserChangedEvent.OutputTuple, ethers_contracts.MessageTransmitter.PauserChangedEvent.OutputObject>

- #### Parameters

  - ##### key: "PauserChanged"

  #### Returns TypedContractEvent<ethers_contracts.MessageTransmitter.PauserChangedEvent.InputTuple, ethers_contracts.MessageTransmitter.PauserChangedEvent.OutputTuple, ethers_contracts.MessageTransmitter.PauserChangedEvent.OutputObject>

  Overrides BaseContract.getEvent

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:855
- getEvent(key): TypedContractEvent<ethers_contracts.MessageTransmitter.RescuerChangedEvent.InputTuple, ethers_contracts.MessageTransmitter.RescuerChangedEvent.OutputTuple, ethers_contracts.MessageTransmitter.RescuerChangedEvent.OutputObject>

- #### Parameters

  - ##### key: "RescuerChanged"

  #### Returns TypedContractEvent<ethers_contracts.MessageTransmitter.RescuerChangedEvent.InputTuple, ethers_contracts.MessageTransmitter.RescuerChangedEvent.OutputTuple, ethers_contracts.MessageTransmitter.RescuerChangedEvent.OutputObject>

  Overrides BaseContract.getEvent

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:862
- getEvent(key): TypedContractEvent<ethers_contracts.MessageTransmitter.SignatureThresholdUpdatedEvent.InputTuple, ethers_contracts.MessageTransmitter.SignatureThresholdUpdatedEvent.OutputTuple, ethers_contracts.MessageTransmitter.SignatureThresholdUpdatedEvent.OutputObject>

- #### Parameters

  - ##### key: "SignatureThresholdUpdated"

  #### Returns TypedContractEvent<ethers_contracts.MessageTransmitter.SignatureThresholdUpdatedEvent.InputTuple, ethers_contracts.MessageTransmitter.SignatureThresholdUpdatedEvent.OutputTuple, ethers_contracts.MessageTransmitter.SignatureThresholdUpdatedEvent.OutputObject>

  Overrides BaseContract.getEvent

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:869
- getEvent(key): TypedContractEvent<[], [], ethers_contracts.MessageTransmitter.UnpauseEvent.OutputObject>

- #### Parameters

  - ##### key: "Unpause"

  #### Returns TypedContractEvent<[], [], ethers_contracts.MessageTransmitter.UnpauseEvent.OutputObject>

  Overrides BaseContract.getEvent

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:876

### getFunction

- getFunction<T>(key): T

- #### Type Parameters

  - #### T extends ContractMethod<any[], any, any> = ContractMethod<any[], any, any>

  #### Parameters

  - ##### key: string | FunctionFragment

  #### Returns T

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:648
- getFunction(nameOrSignature): TypedContractMethod<[], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "acceptOwnership"

  #### Returns TypedContractMethod<[], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:652
- getFunction(nameOrSignature): TypedContractMethod<[], [string], "view">

- #### Parameters

  - ##### nameOrSignature: "attesterManager"

  #### Returns TypedContractMethod<[], [string], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:655
- getFunction(nameOrSignature): TypedContractMethod<[attester: AddressLike], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "disableAttester"

  #### Returns TypedContractMethod<[attester: AddressLike], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:658
- getFunction(nameOrSignature): TypedContractMethod<[newAttester: AddressLike], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "enableAttester"

  #### Returns TypedContractMethod<[newAttester: AddressLike], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:661
- getFunction(nameOrSignature): TypedContractMethod<[index: BigNumberish], [string], "view">

- #### Parameters

  - ##### nameOrSignature: "getEnabledAttester"

  #### Returns TypedContractMethod<[index: BigNumberish], [string], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:664
- getFunction(nameOrSignature): TypedContractMethod<[], [bigint], "view">

- #### Parameters

  - ##### nameOrSignature: "getNumEnabledAttesters"

  #### Returns TypedContractMethod<[], [bigint], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:667
- getFunction(nameOrSignature): TypedContractMethod<[attester: AddressLike], [boolean], "view">

- #### Parameters

  - ##### nameOrSignature: "isEnabledAttester"

  #### Returns TypedContractMethod<[attester: AddressLike], [boolean], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:670
- getFunction(nameOrSignature): TypedContractMethod<[], [bigint], "view">

- #### Parameters

  - ##### nameOrSignature: "localDomain"

  #### Returns TypedContractMethod<[], [bigint], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:673
- getFunction(nameOrSignature): TypedContractMethod<[], [bigint], "view">

- #### Parameters

  - ##### nameOrSignature: "maxMessageBodySize"

  #### Returns TypedContractMethod<[], [bigint], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:676
- getFunction(nameOrSignature): TypedContractMethod<[], [bigint], "view">

- #### Parameters

  - ##### nameOrSignature: "nextAvailableNonce"

  #### Returns TypedContractMethod<[], [bigint], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:679
- getFunction(nameOrSignature): TypedContractMethod<[], [string], "view">

- #### Parameters

  - ##### nameOrSignature: "owner"

  #### Returns TypedContractMethod<[], [string], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:682
- getFunction(nameOrSignature): TypedContractMethod<[], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "pause"

  #### Returns TypedContractMethod<[], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:685
- getFunction(nameOrSignature): TypedContractMethod<[], [boolean], "view">

- #### Parameters

  - ##### nameOrSignature: "paused"

  #### Returns TypedContractMethod<[], [boolean], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:688
- getFunction(nameOrSignature): TypedContractMethod<[], [string], "view">

- #### Parameters

  - ##### nameOrSignature: "pauser"

  #### Returns TypedContractMethod<[], [string], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:691
- getFunction(nameOrSignature): TypedContractMethod<[], [string], "view">

- #### Parameters

  - ##### nameOrSignature: "pendingOwner"

  #### Returns TypedContractMethod<[], [string], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:694
- getFunction(nameOrSignature): TypedContractMethod<[message: BytesLike, attestation: BytesLike], [boolean], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "receiveMessage"

  #### Returns TypedContractMethod<[message: BytesLike, attestation: BytesLike], [boolean], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:697
- getFunction(nameOrSignature): TypedContractMethod<[originalMessage: BytesLike, originalAttestation: BytesLike, newMessageBody: BytesLike, newDestinationCaller: BytesLike], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "replaceMessage"

  #### Returns TypedContractMethod<[originalMessage: BytesLike, originalAttestation: BytesLike, newMessageBody: BytesLike, newDestinationCaller: BytesLike], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:704
- getFunction(nameOrSignature): TypedContractMethod<[tokenContract: AddressLike, to: AddressLike, amount: BigNumberish], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "rescueERC20"

  #### Returns TypedContractMethod<[tokenContract: AddressLike, to: AddressLike, amount: BigNumberish], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:716
- getFunction(nameOrSignature): TypedContractMethod<[], [string], "view">

- #### Parameters

  - ##### nameOrSignature: "rescuer"

  #### Returns TypedContractMethod<[], [string], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:723
- getFunction(nameOrSignature): TypedContractMethod<[destinationDomain: BigNumberish, recipient: BytesLike, messageBody: BytesLike], [bigint], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "sendMessage"

  #### Returns TypedContractMethod<[destinationDomain: BigNumberish, recipient: BytesLike, messageBody: BytesLike], [bigint], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:726
- getFunction(nameOrSignature): TypedContractMethod<[destinationDomain: BigNumberish, recipient: BytesLike, destinationCaller: BytesLike, messageBody: BytesLike], [bigint], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "sendMessageWithCaller"

  #### Returns TypedContractMethod<[destinationDomain: BigNumberish, recipient: BytesLike, destinationCaller: BytesLike, messageBody: BytesLike], [bigint], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:737
- getFunction(nameOrSignature): TypedContractMethod<[newMaxMessageBodySize: BigNumberish], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "setMaxMessageBodySize"

  #### Returns TypedContractMethod<[newMaxMessageBodySize: BigNumberish], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:749
- getFunction(nameOrSignature): TypedContractMethod<[newSignatureThreshold: BigNumberish], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "setSignatureThreshold"

  #### Returns TypedContractMethod<[newSignatureThreshold: BigNumberish], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:756
- getFunction(nameOrSignature): TypedContractMethod<[], [bigint], "view">

- #### Parameters

  - ##### nameOrSignature: "signatureThreshold"

  #### Returns TypedContractMethod<[], [bigint], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:763
- getFunction(nameOrSignature): TypedContractMethod<[newOwner: AddressLike], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "transferOwnership"

  #### Returns TypedContractMethod<[newOwner: AddressLike], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:766
- getFunction(nameOrSignature): TypedContractMethod<[], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "unpause"

  #### Returns TypedContractMethod<[], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:769
- getFunction(nameOrSignature): TypedContractMethod<[newAttesterManager: AddressLike], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "updateAttesterManager"

  #### Returns TypedContractMethod<[newAttesterManager: AddressLike], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:772
- getFunction(nameOrSignature): TypedContractMethod<[_newPauser: AddressLike], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "updatePauser"

  #### Returns TypedContractMethod<[_newPauser: AddressLike], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:779
- getFunction(nameOrSignature): TypedContractMethod<[newRescuer: AddressLike], [void], "nonpayable">

- #### Parameters

  - ##### nameOrSignature: "updateRescuer"

  #### Returns TypedContractMethod<[newRescuer: AddressLike], [void], "nonpayable">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:782
- getFunction(nameOrSignature): TypedContractMethod<[arg0: BytesLike], [bigint], "view">

- #### Parameters

  - ##### nameOrSignature: "usedNonces"

  #### Returns TypedContractMethod<[arg0: BytesLike], [bigint], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:785
- getFunction(nameOrSignature): TypedContractMethod<[], [bigint], "view">

- #### Parameters

  - ##### nameOrSignature: "version"

  #### Returns TypedContractMethod<[], [bigint], "view">

  Overrides BaseContract.getFunction

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:788

### listeners

- listeners<TCEvent>(event): Promise<TypedListener<TCEvent>[]>

- #### Type Parameters

  - #### TCEvent extends TypedContractEvent<any, any, any>

  #### Parameters

  - ##### event: TCEvent

  #### Returns Promise<TypedListener<TCEvent>[]>

  Overrides BaseContract.listeners

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:504
- listeners(eventName?): Promise<Listener[]>

- #### Parameters

  - ##### `Optional` eventName: string

  #### Returns Promise<Listener[]>

  Overrides BaseContract.listeners

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:507

### on

- on<TCEvent>(event, listener): Promise<MessageTransmitter>

- #### Type Parameters

  - #### TCEvent extends TypedContractEvent<any, any, any>

  #### Parameters

  - ##### event: TCEvent

  - ##### listener: TypedListener<TCEvent>

  #### Returns Promise<MessageTransmitter>

  Overrides BaseContract.on

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:486
- on<TCEvent>(filter, listener): Promise<MessageTransmitter>

- #### Type Parameters

  - #### TCEvent extends TypedContractEvent<any, any, any>

  #### Parameters

  - ##### filter: TypedDeferredTopicFilter<TCEvent>

  - ##### listener: TypedListener<TCEvent>

  #### Returns Promise<MessageTransmitter>

  Overrides BaseContract.on

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:490

### once

- once<TCEvent>(event, listener): Promise<MessageTransmitter>

- #### Type Parameters

  - #### TCEvent extends TypedContractEvent<any, any, any>

  #### Parameters

  - ##### event: TCEvent

  - ##### listener: TypedListener<TCEvent>

  #### Returns Promise<MessageTransmitter>

  Overrides BaseContract.once

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:495
- once<TCEvent>(filter, listener): Promise<MessageTransmitter>

- #### Type Parameters

  - #### TCEvent extends TypedContractEvent<any, any, any>

  #### Parameters

  - ##### filter: TypedDeferredTopicFilter<TCEvent>

  - ##### listener: TypedListener<TCEvent>

  #### Returns Promise<MessageTransmitter>

  Overrides BaseContract.once

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:499

### queryFilter

- queryFilter<TCEvent>(event, fromBlockOrBlockhash?, toBlock?): Promise<TypedEventLog<TCEvent>[]>

- #### Type Parameters

  - #### TCEvent extends TypedContractEvent<any, any, any>

  #### Parameters

  - ##### event: TCEvent

  - ##### `Optional` fromBlockOrBlockhash: string | number

  - ##### `Optional` toBlock: string | number

  #### Returns Promise<TypedEventLog<TCEvent>[]>

  Overrides BaseContract.queryFilter

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:475
- queryFilter<TCEvent>(filter, fromBlockOrBlockhash?, toBlock?): Promise<TypedEventLog<TCEvent>[]>

- #### Type Parameters

  - #### TCEvent extends TypedContractEvent<any, any, any>

  #### Parameters

  - ##### filter: TypedDeferredTopicFilter<TCEvent>

  - ##### `Optional` fromBlockOrBlockhash: string | number

  - ##### `Optional` toBlock: string | number

  #### Returns Promise<TypedEventLog<TCEvent>[]>

  Overrides BaseContract.queryFilter

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:480

### removeAllListeners

- removeAllListeners<TCEvent>(event?): Promise<MessageTransmitter>

- #### Type Parameters

  - #### TCEvent extends TypedContractEvent<any, any, any>

  #### Parameters

  - ##### `Optional` event: TCEvent

  #### Returns Promise<MessageTransmitter>

  Overrides BaseContract.removeAllListeners

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:508

### waitForDeployment

- waitForDeployment(): Promise<MessageTransmitter>

- #### Returns Promise<MessageTransmitter>

  Overrides BaseContract.waitForDeployment

  - Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/MessageTransmitter.ts:471

Generated using TypeDoc